This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 855909 - CVE-2012-3547 freeradius: Stack-based buffer overflow by processing certain expiration date fields of a certificate during x509 certificate validation [fedora-all]
CVE-2012-3547 freeradius: Stack-based buffer overflow by processing certain e...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3547
  Show dependency treegraph
 
Reported: 2012-09-10 11:12 EDT by Jan Lieskovsky
Modified: 2012-10-09 14:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: freeradius-2.2.0-0.fc16
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 14:01:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-10 11:12:38 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=852752

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Dennis DeDonatis 2012-10-08 10:06:39 EDT
Is freeradius-2.2.0 going to be available for F16 to fix this?
Comment 2 John Dennis 2012-10-08 18:13:30 EDT
freeradius-2-2.0 is already built and available in rawhide, F18, and F17. I will build and push for F16 as well.
Comment 3 Fedora Update System 2012-10-09 14:00:29 EDT
freeradius-2.2.0-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/freeradius-2.2.0-0.fc16

Note You need to log in before you can comment on or make changes to this bug.